- Update to dracut mainline version 041. Half of the patches got integrated mainline. Some others have been merged together when it made sense some have been left out, but are still in the repository as they need some special treating and mainline discussion whether/how they get added. These are also not urgently needed, but are debugging patches. I broke the rule here to mention every added/deleted/modified patch as every patch is touched and every 2nd got removed (mainline integrated). I also re-ordered the patches in the PatchXY: area for easier merging them and get them discussed and posted mainline easier, topic by topic. OBS-URL: https://build.opensuse.org/request/show/293267 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=214
24 lines
957 B
Diff
24 lines
957 B
Diff
From b5a5fb4486dee09287df825ecd1d2f8b76a98682 Mon Sep 17 00:00:00 2001
|
|
From: Martin Wilck <martin.wilck@ts.fujitsu.com>
|
|
Date: Fri, 29 Aug 2014 15:42:51 +0200
|
|
Subject: Find kernel modules in extra and weak-updates path also
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
---
|
|
dracut-functions.sh | 2 +-
|
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
|
|
Index: dracut-041/dracut-functions.sh
|
|
===================================================================
|
|
--- dracut-041.orig/dracut-functions.sh 2015-03-24 15:12:43.423456648 +0100
|
|
+++ dracut-041/dracut-functions.sh 2015-03-24 15:17:15.610744959 +0100
|
|
@@ -1657,7 +1657,7 @@
|
|
_OLDIFS=$IFS
|
|
IFS=:
|
|
while read a rest; do
|
|
- [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
|
|
+ [[ $a = */$1/* ]] || [[ $a = updates/* ]] || [[ $a = extra/* ]] || [[ $a = weak-updates/* ]] || continue
|
|
printf "%s\n" "$srcmods/$a"
|
|
done < "$srcmods/modules.dep"
|
|
IFS=$_OLDIFS
|